
# Load the R-packages
library(deSolve); # To solve the ODE's
library(fda); # To perform PCA
library(sensitivity); # To perform GSA

# Set the working directory
directory = "/Users/dhan-lordfortela/Documents/EIL/GSA/Syngas - GSA-SOM";
setwd(directory);

# Create a dummy csv file in the directory folder to check validity of path
write.csv(c(seq(0,3,by=1), format(Sys.time(), "%a %b %d %X %Y")), quote = FALSE, "testoutput.csv");


r = 200; # Setting the number of EE's for the Morris GSA
RNG = 3; # Number of Random Numer Generator (RNG) seeds
k = 7; # Number of Model Parameters under GSA study

# Initialize the dataframes for parameter samples
RUNS_ALL <- data.frame(); # Results data frame


for(i in 1:RNG) {
mo <- morris(model = NULL, factors = k, r = r,
             design = list(type = "oat", levels = 20, grid.jump = 10),
             
             #  Set lower bounds and upper bounds of model parameter sampling range
             binf = c(8.60,22.3,0.0,1.60,0.20,0.10,1000),
             bsup = c(61.9,55.4,8.2,30.0,49.3,39.8,1500),
             #%       H2,  CO,  CH4,CO2,N2, H20,  T(degC)
             scale = TRUE 
);

RUNS_i <- mo$X;

RUNS_ALL <- rbind(RUNS_ALL, RUNS_i)

};

outfile_mu <- paste("Syngas_GSA_SOM_r", r, "_Samples_ALL_v1.csv", sep = "");
write.csv(RUNS_ALL, quote = FALSE, outfile_mu)

